If in case you are using Digital Certificate issued post 1st January 2012 (SHA2 Certificate ),please ensure that you have Windows XP ( SP3 )/ Windows Vista/Windows 7 installed.

All users using below mentioned services on MCA21 are required to download JDK 1.6 updated version 30 from the following link Click here to download

  • Any user logging on MCA21 using a DSC
  • Any existing user registering/updating a DSC
  • Any new user registering using a DSC

This is required as part of the interoperability initiative of the Controller Of Certifying Authorities, India (CCA),for enhancing security for Digital certificates.

More Under Company Law

Posted Under

Category : Company Law (3666)
Type : News (13330)

Leave a Reply

Your email address will not be published. Required fields are marked *